Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.toolbar
Class ToolbarParamString

    java.lang.Object
      de.jsystems.tools.ParamString
          de.jsystems.framework.toolbar.ToolbarParamString

public class ToolbarParamString
extends ParamString

Zerlegt einen String aus der Toolbarpropertiesdatei in die einzelnen Bestandteile, mit denen die Toolbar beschrieben werden kann.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS

Field Summary

Fields inherited from class de.jsystems.tools.ParamString
`liste, trennzeichen`

Constructor Summary
`ToolbarParamString()` Erzeugt ein neues ParamString-Objekt fuer Strings mit dem Aufbau eines Menues.

Method Summary
`protected void` | `clear()` Löscht den Inhalt des ParamString-Objektes.
`String` | `getActionClassName()` Gibt den Actionnamen des Toolbarbutton zurück.
`String` | `getPictureName()` Gibt den Namen eines Icons zurück, das auf dem Toolbarbutton angezeigt werden soll.
`String` | `getText()` Gibt den Text für den Toolbarbutton zurück.
`String` | `getToolTipText()` Gibt den Tooltiptext für diesen Toolbarbutton zurück.
`void` | `init(String paramString)` Initialisiert das Objekt mit dem übergebenem Paramstring und füllt dann die einzelnen Attribute für die Toolbar.
`boolean` | `isSeparator()` Handelt es sich bei dem eingelesenem Menüpunkt um einen Separator?

Methods inherited from class de.jsystems.tools.ParamString
`getBool, getCount, getDouble, getFloat, getInt, getLong, getParam, setTrennzeichen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolbarParamString

    public ToolbarParamString()

  Erzeugt ein neues ParamString-Objekt fuer Strings mit dem Aufbau eines Menues.

Method Detail

### init

    public void init(String paramString)

  Initialisiert das Objekt mit dem übergebenem Paramstring und füllt dann die einzelnen Attribute für die Toolbar.

  Parameters:
    `paramString` - Der String mit dem dieses Objekt initialisiert wird.
  Throws:
    `ToolbarParamFormatException` - wenn das Format des uebergebenen Strings falsch ist.

### clear

    protected void clear()

  Löscht den Inhalt des ParamString-Objektes. Hier werden die Inhalte aller Attribute auf ""(Leerstring) gesetzt.

### getText

    public String getText()

  Gibt den Text für den Toolbarbutton zurück.

  Returns:
    Der Text fuer den Toolbarbutton.

### getActionClassName

    public String getActionClassName()

  Gibt den Actionnamen des Toolbarbutton zurück. Unter diesem Namen wird dann ein Actionevent erzeugt beim Auswählen des Toolbarbutton.

  Returns:
    der ActionName fuer den Button.

### getToolTipText

    public String getToolTipText()

  Gibt den Tooltiptext für diesen Toolbarbutton zurück. Dieser Text wird dann angezeigt, wenn der Mauspfeil einige Zeit auf dem Button stehenbleibt.

  Returns:
    Der Tooltiptext fuer den Button.

### getPictureName

    public String getPictureName()

  Gibt den Namen eines Icons zurück, das auf dem Toolbarbutton angezeigt werden soll.

  Returns:
    Der Name des Icons fuer den Button.

### isSeparator

    public boolean isSeparator()

  Handelt es sich bei dem eingelesenem Menüpunkt um einen Separator?

  Returns:
    `true`, wenn der String aus der `init(String)`-Methode einen Separator beschreibt, ansonsten `false`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD